1998-10-16  Keith Seitz  <keiths@cygnus.com>

	From Mark Alexander <marka@cygnus.com>:
        * rs6000-tdep.c (get_saved_register): Define only if
         USE_GENERIC_DUMMY_FRAMES is defined.

         Patch from Dawn Perchik <dawn@cygnus.com>:
        * rs6000-tdep.c (pop_frame): Handle generic dummy frames.
        (push_arguments): Likewise.
        (frame_saved_pc): Likewise.
        (rs6000_frame_chain): Likewise.
        (ppc_push_return_address): New function.
        (get_saved_register): New function.
        * config/powerpc/tm-ppc-eabi.h: Add generic dummy frame macros.

Wed Oct 14 14:02:06 1998  Martin M. Hunt  <hunt@cygnus.com>

	* thread.c (info_threads_command): Don't show eCos
	extended fields if they are blank.

Fri Oct  9 17:37:10 1998  Peter Schauer  (pes@regent.e-technik.tu-muenchen.de)

	* rs6000-tdep.c (skip_prologue): Don't mistake a branch for a
 	subroutine call.

Thu Oct  8 16:54:13 1998  Martin M. Hunt  <hunt@cygnus.com>

	* remote.c (threadmatch): Ifdef this function out for now.
	It is used as a safety check, but there are some problems
	we wish to ignore for now and this breaks things.
	(int_to_threadref): export.
	(remote_get_threadinfo): export.
	(remote_get_threadlist): Supply return value.

	* thread.c (info_threads_command): Reformat display
	to include extended thread info from eCos.
	
1998-10-02  Keith Seitz  <keiths@cygnus.com>

	* remote.c: Remove declaration for remote_interrupt_twice and
	and duplicate declaration of remote_interrupt.
	(remote_interrupt): Move printf_unfiltered to remote_stop.

1998-10-01  Keith Seitz  <keiths@cygnus.com>

	* remote.c (remote_interrupt): Rewrite to use remote_stop.
	(remote_interrupt_twice): Remove. remote_stop now handles it.
	(remote_stop): New function which handles interrupting the
	remote target so that CLUI and GUI use the same core functions
	to achieve the same goal.
	(remote_wait): Change to handle remote_stop properly.
	[interrupted_already]: New static global to help remote_stop.
	[remote_ops, extended_remote_ops]: Add remote_stop for to_stop member.

	* target.c: Rename static function "ignore" to "target_ignore" and
	export it so that gdb can determin if some target vector member is
	actually not defined. Replace all occurances of ignore.

	* target.h: Export target_ignore.

Mon Sep 21 15:30:15 1998  Frank Ch. Eigler  <fche@cygnus.com>

	* infrun.c (wait_for_inferior): Pass SIGTRAP itself, not SIG_zero
 	to target, if user has explicitly designated it as "handle ... pass".

Fri Sep 18 13:23:23 1998  John Metzler  <jmetzler@cygnus.com>

	* remote.c (remote_get_threadlist) : Fixed error when retreiving
 	exactly sixteen threads. Bogus error message, inverted test for
	done.
	
Fri Sep 18 07:28:12 1998  Mark Alexander  <marka@cygnus.com>

	Import change from devo:
	Thu Sep 10 20:51:23 1998  Michael Snyder  <msnyder@cleaver.cygnus.com>
	* mn10300-tdep.c (mn10300_analyze_prologue): guard against NULL.

Thu Sep 17 19:47:59 1998  Mark Alexander  <marka@cygnus.com>

	Import change from devo:
	Tue Jul 7 7:40:13 1998  Ron Unrau  <runrau@cygnus.com>
	* symtab.c (find_pc_sect_psymbol): allow case where textlow is 0

Sat Sep 12 21:41:12 1998  Felix Lee  <flee@cygnus.com>

	* gnu-regex.c (re_match_2_internal): use int instead of boolean;
 	workaround for 98r1 win32 compiler problem.

Wed Sep  2 11:59:03 1998  John Metzler  <jmetzler@cygnus.com>

	* remote.c (remote_get_threadinfo) : Support for remote
 	multithread debugging.
	(remote_get_threadlist) : get a partial list of threads
	(remote_threadlist_iterator) : Step through all the threads
	(init_remote_threadtests) : Optional builtin unit test commands.

	* thread.c (bind_target_thread_vector) : Implementa a more dynamic
 	way of accessing target specific thread info functions than 
	FIND_NEW_THREADS.
	(target_thread_info) : Function to get extended thread information.

	* gdbthread.h : Export internal data structures corresponding to
 	external detailed thread info response. This is more like a 'ps'
	command than what might be expected of host based threads. This
	is for embedded systems.

	* symfile.c (generic load) : Back merge fix to set the PC
 	correctly after a download.

Tue Jun 23 17:28:39 1998  Michael Snyder <msnyder@cygnus.com>

 * rs6000-tdep.c: Use memcpy and memset to write into the registes array, 
                  instead of "*(int*)&registers[foo] = bar;".

Mon Jun 15 13:18:21 1998  Jim Ingham <jingham@cygnus.com>

        * gdbtk.c (gdbtk_init): Add elements to the auto_path AS LIST
        ELEMENTS.  This allows gdbtk to work when installed in a directory
        which has a space in the path.  D. Moseley pointed out the bug.

Wed Apr 22 21:17:35 1998  Christopher Faylor <cgf@cygnus.com>

        * gdbtk.c (_initialize_gdbtk): add cygwin32 specific code to
        allow `gdb -nw' to work when specified specified from a windows
        console-mode command line.

Tue May 12 18:17:26 1998  Angela Marie Thomas (angela@cygnus.com)

        * configure.tgt: Revert vr4xxx.
 
Tue May 12 18:52:01 1998  Angela Marie Thomas (angela@cygnus.com)

        * config/sparc/sparclite.mt:  Revert sim addition.
 
Fri Apr 24 17:15:04 1998  Geoffrey Noer  <noer@cygnus.com>

        * Makefile.in: enable the EXEEXT variable.

Thu Apr 23 19:23:23 1998  Ian Lance Taylor  <ian@cygnus.com>

        * config/tc-ppc.c (ppc_fix_adjustable): Correct test of whether a
        reloc is in the TOC csect.
        (md_apply_fix3): Correct gettext typo.

Wed Apr  8 16:47:33 1998  Jason Molenda  (crash@bugshack.cygnus.com)

        * solib.c (solib_create_inferior_hook): Remove Ulrich Drepper's
        patch of March 23 1998.
        * breakpoint.c (breakpoint_re_set_one): Remove Ulrich Drepper's
        patch of March 23 1998.
 
Thu Apr 16 13:13:24 1998  Jason Molenda  (crash@bugshack.cygnus.com)

        * rdi-share/etherdrv.c (EthernetWrite): Use strerror to get
        error string if in an ANSI C-ish environment.

Wed Apr 15 12:19:42 1998  Martin M. Hunt  <hunt@cygnus.com>
 
        * solib.c (enable_break): Only call warning once
        instead of three times.
 
Mon Apr 13 16:28:07 1998  Elena Zannoni  <ezannoni@kwikemart.cygnus.com>
 
        * utils.c: (warning) added call to warning_hook
 
        * source.c: (find_source_lines) modified to call warning in case
        of source vs. executable time stamp mismatch. Simplified object
        file check. Initialized mtime to 0.
 
        * defs.h: added warning_hook prototype
 
        * top.c: added warning_hook prototype.
 
Wed Apr  8 19:21:42 1998  Jason Molenda  (crash@bugshack.cygnus.com)

	* top.c (print_gdb_version): Print 1998 now.

Mon Apr  6 09:17:48 1998  Andrew Cagney  <cagney@b1.cygnus.com>
 
 	* mips-tdep.c (mips_push_arguments): Specify dimention of valbuf
  	using MAX_REGISTER_RAW_SIZE.
 
Thu Apr  2 12:47:41 1998  Frank Ch. Eigler  <fche@cygnus.com>

	* sol-thread.c (sol_thread_store_registers): Save & restore new
 	value of single updated register to prevent accidental clobbering.

Wed Apr  1 22:01:09 1998  Mark Alexander  <marka@cygnus.com>

	* config/sparc/tm-sparclite.h (TARGET_BYTE_ORDER_SELECTABLE): Define.
	* config/sparc/sparclite.mt: Link in the erc32 simulator.

Wed Apr  1 16:30:49 1998  Ian Dall  <Ian.Dall@dsto.defence.gov.au>

        * ns32k-tdep.c (flip_bytes, ns32k_localcount,
        ns32k_get_enter_addr, sign_extend): Restore functions mysteriously
        deleted.

        * ns32knbsd-nat.c: New (?) file to support fetching and storing
        registers on NetBSD hosts.

        * nbsd.mh (NATDEPFILES): put ns32knbsd-nat.o instead of
        ns32k-nat.o

        * ns32km3-nat.c (reg_offset): Get order of floating point
        registers correct. Add extra 32382 register offsets.
        (REG_ADDRESS): define to point at correct part of thread
        state. Use calls to "warning" instead of "message".

        * tm-nbsd.h, tm-ns32km3.h (REGISTER_NAMES, NUM_REGS,
        REGISTER_BYTES, REGISTER_BYTE): redefine allowing for 32382
        fpu registers.

Wed Apr  1 13:43:07 1998  Philippe De Muyter  <phdm@macqel.be>

        * NEWS: m68k-motorola-sysv host support added.
        * coffread.c (coff_start_symtab): Accept the filename as an argument,
        set it here.  Callers updated.

Wed Apr  1 23:13:23 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* config/mips/tm-mips.h (REGISTER_VIRTUAL_TYPE): Handle 32 bit SR,
 	FSR and FIR registers.
	(REGISTER_VIRTUAL_SIZE): Compute using REGISTER_VIRTUAL_TYPE.
	(REGISTER_RAW_SIZE): Define using REGISTER_VIRTUAL_SIZE.

	* config/mips/tm-mips64.h: Ditto.

Tue Mar 31 21:30:39 1998  Nick Clifton  <nickc@cygnus.com>

	* arm-tdep.c (gdb_print_insn_arm): Attach a fake Thumb symbol
	vector to the info structure when disassembling thumb
	instructions. 

	* coffread.c (coff_symtab_read, read_one_sym,
	process_coff_symbol):  Support Thumb symbol types. 

	* dbxread.c (process_one_symbol): Call SMASH_TEXT_ADDRESS (if it
	is defined) for function symbols.  

Mon Feb 16 14:05:54 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* d10v-tdep.c (d10v_extract_return_value): Wierd.  GCC wants to
 	return odd sized register quantities with only half of the first
 	register used!

	* config/d10v/tm-d10v.h (USE_STRUCT_CONVENTION): Use stack when
 	size > 8.

Mon Mar 30 16:42:12 1998  Jason Molenda  (crash@bugshack.cygnus.com)

	* rdi-share/Makefile.am, rdi-share/aclocal.m4,
	rdi-share/configure: New files.
	* rdi-share/configure.in:  Rewritten to be an autoconf input file.
	* rdi-share/Makefile.in, rdi-share/configure: Generated by 
	automake/autoconf.
	* rdi-share/dbg_hif.h, etherdrv.c, hostchan.c: Use autoconf tests
	to check environment.

Sun Mar 29 15:17:16 1998  Keith Seitz  <keiths@onions.cygnus.com>

	* tracepoint.c (trace_start_command): Set trace_running_p.
	(trace_stop_command): Clear trace_running_p.

Sat Mar 28 15:19:48 1998  Stan Shebs  <shebs@andros.cygnus.com>

	* NEWS: Update for 4.17 release.

Thu Mar 26 22:29:28 1998  Elena Zannoni  <ezannoni@kwikemart.cygnus.com>

        * tracepoint.c (trace_status_command): Recognize a boolean return
        value from the stub to indicate whether trace experiment is
        running.  Export this value as a global state variable
        (trace_running_p) for use by the GUI. (from Michael Snyder)
        (trace_pass_command) added call to modify_tracepoint_hook.

        * tracepoint.h export trace_running_p


Tue Mar 24 16:22:40 1998  Stu Grossman  <grossman@bhuna.cygnus.co.uk>

	* Makefile.in:  Derive SHELL from configure.
	* config/d10v/d10v.mt config/d30v/d30v.mt config/m32r/m32r.mt
	config/mn10200/mn10200.mt config/mn10300/mn10300.mt :  Remove -lm
	from SIM.  This prevents dependency checking of -lm (under NT
	native builds).  (It is automatically added by configure if it
	exists.)
	* doc/configure mswin/configure nlm/configure
	testsuite/gdb.base/configure testsuite/gdb.c++/configure
	testsuite/gdb.chill/configure testsuite/gdb.disasm/configure
	testsuite/gdb.stabs/configure testsuite/gdb.threads/configure:
	Regenerate with autoconf 2.12.1 to fix shell issues for NT native
	builds.

Mon Mar 23 18:10:57 1998  Ulrich Drepper  (drepper@cygnus.com)

	* solib.c (solib_create_inferior_hook):  Rewrite previous
	change to check the type of file via BFD.

Mon Mar 23 13:52:28 1998  Ulrich Drepper  (drepper@cygnus.com) 
 
	* breakpoint.c (breakpoint_re_set_one): Treat bp_shlib_events
	like bp_breakpoints.
	* solib.c (solib_create_inferior_hook): Relocate section addresses
	if the alleged start address doesn't agree with the PC.

Sat Mar 21 19:34:49 1998  Elena Zannoni  <ezannoni@kwikemart.cygnus.com>

	merged changes from Foundry (list follows by file/author):
	
        - Tom Tromey  <tromey@cygnus.com>
        * Makefile.in (gdbres.o): New target.
        (WINDRES): New define.
        * configure: Rebuilt.
        * configure.in (WINDRES): Define.
        (CONFIG_OBS): Include gdbres.o on Windows.
        * gdbtool.ico: New file.
        * gdb.rc: New file.

        * ser-unix.c
        - Keith Seitz  <keiths@onions.cygnus.com>
        (wait_for): Don't reset the timeout_remaining for CYGWIN32,
        since we now effectively poll the serial port.
        Don't reset the current_timeout, either, since this member is used
        by hardwire_readchar to track the timeout and call the ui_loop_hook.
        (hardwire_readchar): Poll the serial port for Cygwin32. We timeout every
        second, update the UI, and loop around doing this until we have hit the real
        timeout or we get data or an error. This will allow the UI to stay active
        while gdb is "blocked" talking to the target.
        - Martin M. Hunt  <hunt@cygnus.com>
        (wait_for): Do reset current_timeout
        because it is only used to keep track of what the
        current timeout for the scb is.

        * top.c
        - Martin M. Hunt  <hunt@cygnus.com>
        (quit_confirm): Change exit message again
        for GUI.
        (pc_changed_hook): Add prototype.
        - Tom Tromey  <tromey@cygnus.com>
        (quit_confirm): Added missing `else'.
        (quit_confirm): Special-case message if init_ui_hook is
        set.

        * symtab.c
        - Martin M. Hunt  <hunt@cygnus.com>
        (find_pc_sect_line): If no symbol information
        is found, return correct pc anyway.
        (find_methods): Comment out an apparently
        bogus error message because it messes up Foundry.

        * serial.c
        - Martin M. Hunt  <hunt@cygnus.com>
        (_initialize_serial): Add a description of
        "set remotelogbase".

        * findvar.c
        - Martin M. Hunt  <hunt@cygnus.com>
        (write_register_gen): Add call to
        pc_changed_hook if the PC is being changed.

        * defs.h
        - Martin M. Hunt  <hunt@cygnus.com>
        (pc_changed_hook): Define.

        * command.c
        -  Martin M. Hunt  <hunt@cygnus.com>
        (do_setshow_command): If no arguments are supplied,
        don't dump core, instead print out an error message.

        * breakpoint.c
        - Martin M. Hunt  <hunt@cygnus.com>
        Make set_raw_breakpoint, set_breakpoint_count,
        and breakpoint_count non-static so they are accessible from
        gdbtk.c.
        (enable_breakpoint): Enable breakpoint
        with same disposition instead of changing all breakpoints
        to donttouch.

        * annotate.h
	- Keith Seitz  <keiths@onions.cygnus.com>
        Add declarations for annotation hooks.
 
        * annotate.c
	- Keith Seitz  <keiths@onions.cygnus.com>
        Add hooks: annotate_starting_hook, annotate_stopped_hook,
        annotate_signalled_hook, annotate_exited_hook.
        (annotate_starting): If hook exists, call it instead.
        (annotate_stopped): If hook exists, call it instead.
        (annotate_exited): If hook exists, call it instead.
        (annotate_signalled): If hook exists, call it instead.

Fri Mar 20 14:45:36 1998  Michael Snyder  <msnyder@cleaver.cygnus.com>

	* gdbserver/Makefile.in: add dependency on XM_CLIBS.
	* gdbserver/low-sim.c (registers) force into alignment.
	(create_inferior): Fix typo on new_argv; add abfd arg to 
	sim_open, sim_create_inferior.  Add reg_size arg to 
	sim_fetch_register, sim_store_register.  Make simulator
	take a single-step to get into a known running state.
	* gdbserver/gdbreplay.c: include fcntl.h for def'n of F_SETFL.
	* gdbserver/server.c: Add remote_debug variable to control 
	debug output.
	* gdbserver/server.h: Add prototypes for enable/disable_async_io.
	* gdbserver/remote-utils.c: add verbose debugging output controlled 
	by "remote_debug" variable.  Add call to "disable_async_io()"
	to avoid being killed by async SIGIO signals.
	* config/m32r/m32r.mt: define GDBSERVER_(LIBS and DEPFILES),
	so that gdbserver can be built with the m32r simulator.
	
Fri Mar 20 09:04:06 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* gdbtypes.h (builtin_type_{,u}int{8,16,32,64}): New gdb builtin
 	types.
	
	* gdbtypes.c (_initialize_gdbtypes): Initialize new types.

	* mips-tdep.c (do_gp_register_row): Pad register value when GP
 	register is smaller than MIPS_REGSIZE.

	* findvar.c (value_of_register): When raw and virtual register
 	values identical, check that sizes are consistent.

Thu Mar 19 11:32:15 1998  Michael Snyder  (msnyder@cleaver.cygnus.com)

	* minsyms.c (compare_minimal_symbols): If addresses are identical,
	then compare on names.  Sorted list should have symbols with 
	identical addresses AND names adjacent, so dups can be discarded.

Wed Mar 18 12:50:17 1998  Jeff Law  (law@cygnus.com)

	* stabsread.c (define_symbol): Don't look for ',' as a LRS
	indicator.

Wed Mar 18 10:34:51 1998  Nick Clifton  <nickc@cygnus.com>

	* rdi-share/etherdrv.c: Set sys_errlist[] as char * not const char *.

Fri Mar 13 15:43:53 1998  Peter Schauer  (pes@regent.e-technik.tu-muenchen.de)

        * config/mips/xm-mips.h (CC_HAS_LONG_LONG):  Undefine for Ultrix
        when compiling with native cc, the compiler has broken long long
        support.

Fri Mar 13 15:37:02 1998  Peter Schauer  (pes@regent.e-technik.tu-muenchen.de)

        * config/m68k/xm-sun3os4.h:  Remove malloc declarations, they
        are handled via autoconf now.
        * remote.c (remote_ops, extended_remote_ops):  Replace static
        forward declaration by moving the static definition to the top of
        the file, for old K&R compilers.
        * tracepoint.c (collect_symbol, trace_start_command):
        Replace ANSI string concatenation with K&R compatible simple string.

1998-03-11  Fred Fish  <fnf@ninemoons.com>

	* source.c (select_source_symtab): Don't reach error if we have
	a current_source_symtab from reading in partial symbol table.

Fri Mar  6 13:10:27 1998  Fred Fish  <fnf@cygnus.com>

	* utils.c (quit): Call SERIAL_DRAIN_OUTPUT rather than
 	SERIAL_FLUSH_OUTPUT.
	* serial.h (struct serial_ops): Add drain_output, pointer to
 	function that waits for output to drain.
	(SERIAL_DRAIN_OUTPUT): Macro to wait for output to drain.
	* ser-unix.c (hardwire_drain_output): New function and prototype.

	* ser-unix.c (hardwire_ops): Add entry for drain_output function.
	* ser-tcp.c (tcp_ops): Ditto.
	* ser-ocd.c (ocd_ops): Ditto.
	* ser-mac.c (mac_ops): Ditto.
	* ser-go32.c (dos_ops): Ditto.
	* ser-e7kpc.c (e7000pc_ops): Ditto.

Thu Mar  5 16:07:41 1998  Michael Snyder  (msnyder@cleaver.cygnus.com)

	* sparcl-tdep.c: fix #endif comments

Thu Mar  5 15:10:35 1998  Jason Molenda  (crash@bugshack.cygnus.com)

	* Makefile.in (BISON): Configure substitutes in @YACC@, not @BISON@.

Thu Mar  5 14:42:41 1998  Keith Seitz  <keiths@onions.cygnus.com>

	* ocd.c (ocd_open): If we fail ocd_start_remote, make sure we
	error () so that we abort out of bdm_ppc_open.

Wed Mar  4 16:53:52 1998  Martin M. Hunt  <hunt@cygnus.com>

	* serial.c (_initialize_serial): Add a description of 
	"set remotelogbase".

	* command.c (do_setshow_command): If no arguments are supplied,
	don't dump core, instead print out an error message.

Wed Mar  4 16:50:18 1998  Jason Molenda  (crash@bugshack.cygnus.com)

	* gdbtk.c (gdb_listfiles): Fix thinko in last change.

Wed Mar  4 15:34:49 1998  Jason Molenda  (crash@bugshack.cygnus.com)

	* gdbtk.c (gdb_listfiles): Allocate space for 'files' dynamically.

Wed Mar  4 01:39:08 1998  Ron Unrau  <runrau@cygnus.com>

	* elfread.c (elf_symtab_read): merge SYMBOL_IS_SPECIAL into
	MAKE_MSYMBOL_SPECIAL
	* config/mips/tm-mips.h: ditto

Tue Mar  3 17:19:08 1998  John Metzler  <jmetzler@cygnus.com>

	* config/mips/tm-vr4xxx.h:  implements vr4111 as saparate from 4300
	* config/mips/vr4xxx.tm:    implements vr4111 as separate from 4300
	* configure.tgt:  Recognise mips64vr4111-*-elf as vr4xxx
	* dwarfread.c (read_tag_pointer_type): Pointer sizes now come from
	TARGET_PTR_BIT rather from sizeof(char *) on host.
	
Tue Mar  3 14:37:02 1998  Peter Schauer  (pes@regent.e-technik.tu-muenchen.de)

        * alpha-nat.c (fetch_osf_core_registers):  Renamed from
        fetch_aout_core_registers.
        (alpha_osf_core_fns):  Renamed from alpha_aout_core_fns, change
        flavour to bfd_target_unknown_flavour for OSF core files.

Mon Mar  2 17:44:13 1998  Michael Snyder  (msnyder@cleaver.cygnus.com)

	* breakpoint.c (_initialize_breakpoint): Make "en" an alias
	for "enable" (so that it doesn't conflict with "end").

Mon Mar  2 17:04:25 1998  Jason Molenda  (crash@bugshack.cygnus.com)

	* Makefile (VERSION): Bump to 4.17.1.

Mon Mar  2 16:59:15 1998  Jason Molenda  (crash@bugshack.cygnus.com)

	* rdi-share/etherdrv.c (sys_errlist): Add correct decl for Linux.

Mon Mar  2 16:51:44 1998  Jason Molenda  (crash@bugshack.cygnus.com)

	* Makefile.in (YYFILES): Remove in maintainer-clean, not distclean.

Mon Mar  2 16:47:11 1998  Philippe De Muyter  <phdm@macqel.be>

        * Makefile.in (distclean): Add `rm $(YYFILES)'.

Mon Mar  2 16:45:48 1998  Philippe De Muyter  <phdm@macqel.be>

	* coffread.c (coff_read_enum_type): Set TYPE_FLAG_UNSIGNED if enum
	is unsigned.

Sun Mar  2 15:16:13 1998 Richard Henderson  <rth@cygnus.com>         

        * configure.host, configure.tgt: Add sparc-linux.               
        * sparc-nat.c: Include <asm/reg.h> not <machine/reg.h> for Linux.
        * config/sparc/*linux*: New files.                         

Mon Mar  2 12:12:41 1998  Anthony Thompson   (athompso@cambridge.arm.com)

	* arm-tdep.c (gdb_print_insn_arm): Call print_insn_big_arm
	if we're big endian; else call print_insn_little_arm.

Mon Feb 24 11:24:57 1998  Richard Henderson  <rth@cygnus.com>

        * Makefile.in (BISON): Don't even pretend to use yacc.
        (c-exp.tab.o): Use bison -o to use a unique intermediate file.
        (f-exp.tab.o, m2-exp.tab.o): Likewise.

Tue Feb 24 03:32:59 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* remote-sim.c (gdbsim_fetch_register): Don't abort when the
 	register size is wrong.

Thu Feb 19 16:49:48 1998 John Metzler  <jmetzler@cygnus.com>

	* target.c (debug_to_fetch_registers,debug_to_store_registers,
	debug-to_insert_breakpoint,debug_to_remove_breakpoint): tracing
	64 bit targets crashed long long printfs.

Tue Feb 17 16:36:22 1998  Michael Snyder  (msnyder@cleaver.cygnus.com)

	* symfile.c (read_target_int_array): rename read_target_long_array
        and force the sizeof an ovly_table element to sizeof(long),
        instead of sizeof(int).

Tue Feb 17 18:05:05 1998  Frank Ch. Eigler  <fche@cygnus.com>

	* remote-mips.c (mips_request): Use unsigned long during parsing
 	returned value from monitor, to prevent accidental sign extension.

Tue Feb 17 14:28:33 1998  Peter Schauer <pes@regent.e-technik.tu-muenchen.de>

        * acconfig.h: FORCE_MMCHECK changed to MMCHECK_FORCE.
        * configure.in: Ditto.
        * configure: Regenerated.

Tue Feb 17 14:07:34 1998  Peter Schauer <pes@regent.e-technik.tu-muenchen.de>

        * gdbtypes.c (check_typedef): Do not try to resolve the length of      
        a type which has TYPE_FLAG_TARGET_STUB set, if the target type has      
        set TYPE_FLAG_TARGET_STUB as well.

Tue Feb 17 14:32:18 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* remote-sim.c (gdbsim_fetch_register, gdbsim_store_register):
 	Pass register size to sim_{fetch,store}_register.  Check nr of
 	register bytes transfered is correct.

Mon Feb 16 14:05:54 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* remote-d10v.c (remote_d10v_open): Call push_remote_target
 	instead of open_remote_target.

	* remote.c (remote_xfer_memory): Use REMOTE_TRANSLATE_XFER_ADDRESS
 	to translate addr/size when defined.
	(open_remote_target): Delete.
	
	* target.h (open_remote_target): Delete.
	
	* config/d10v/tm-d10v.h (REMOTE_TRANSLATE_XFER_ADDRESS): Define.
	
Mon Feb 16 14:05:54 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* config/d10v/tm-d10v.h (USE_STRUCT_CONVENTION): Define. True when
 	sizeof type > 1.

Mon Feb 16 14:05:54 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* config/d10v/tm-d10v.h (USE_STRUCT_CONVENTION): Define. True when
 	sizeof type > 1.

Sun Feb 15 16:10:50 1998  Ron Unrau   <runrau@cygnus.com>

	* parse.c (write_dollar_variable): call new function 
	  target_map_name_to_register to allow targets to define their own 
	  register name aliases.
	* infcmd.c (registers_info): use target_map_name_to_register so that
	  "print $reg" and "info reg $reg" use the same register name aliases.

Fri Feb 13 16:40:30 1998  Stan Shebs  <shebs@andros.cygnus.com>

	* config/i386/i386mk.mt (OBJFORMATS): Delete, no longer used.
	* config/i386/xm-i386mk.h: Fix an include.
	* config/pyr/tm-pyr.h (PC_INNER_THAN): Remove, never used.

Thu Feb 12 16:12:07 1998  Frank Ch. Eigler  <fche@cygnus.com>

	* remote-mips.c (mips_enter_debug): Sleep before sending CR to
 	monitor.
	(mips_exit_debug): Accept any whitespace / verbiage before monitor
 	prompt reappears.

Thu Feb 12 18:25:42 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* d10v-tdep.c (show_regs): Avoid use of %llx when printing 8 byte
 	accumulators.

Thu Feb 12 17:10:22 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* valops.c (value_at): For d10v, make read pointers with
 	read_target_unsigned_integer, keep addresses unsigned.
	(value_fetch_lazy): Ditto.

Thu Feb 12 12:14:02 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* remote-d10v.c: New file.  Layer the d10v GDB->remote memory map
 	on top of the remote serial memory transfer functions.

	* config/d10v/d10v.mt (TDEPFILES): Add remote-d10v.o

	* Makefile.in (remote-d10v.o): Add dependencies.

	* remote.c (remote_open_1): Add arg extended_p, engage extended
 	protocol when extended_p.
	(remote_open, extended_remote_open): Pass !extended_p /
 	extended_p to remote_open_1.

	* remote.c (open_remote_target), target.h: New function.

Wed Feb 11 08:41:15 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* config/i386/fbsd.mh (XDEPFILES): Add ser-tcp.o.

Tue Feb 10 17:50:37 1998  Keith Seitz  <keiths@onions.cygnus.com>

	* tracepoint.c (tracepoint_operation): Call the modify_tracepoint_hook
	if it exists.
	Remove static declaration of free_actions.

	* tracepoint.h: Add declaration of free_actions.
		
Tue Feb 10 12:17:13 1998  Fred Fish  <fnf@cygnus.com>

	* symtab.c (decode_line_1): Revert change that mistakenly
	removed assignment of sals[0].pc field.

Mon Feb 10 12:37:47 1998  Philippe De Muyter  <phdm@macqel.be>

        * m68k/tm-delta68.h (EXTRACT_RETURN_VALUE): Type argument for
        `REGISTER_CONVERT_TO_VIRTUAL is `TYPE', not
        `REGISTER_VIRTUAL_TYPE (FP0_REGNUM)';
        (STORE_RETURN_VALUE): Ditto, and offset for `write_register_bytes'
        is `REGISTER_BYTE (FP0_REGNUM)', not `FP0_REGNUM'.
        (FRAME_NUM_ARGS): New macro.
        * m68k/tm-news.h (EXTRACT_RETURN_VALUE, STORE_RETURN_VALUE): Ditto.
        * delta68-nat.c (clear_insn_cache): New function, forgotten in previous
        patch.

Mon Feb  9 11:10:06 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* d10v-tdep.c: Replace references to IMEM_ADDR and DMEM_ADDR with
 	D10V_MAKE_[DI]ADDR and D10V_CONVERT_[ID]ADDR_TO_RAW macros.

	* config/d10v/tm-d10v.h (IMEM_START): Move to 0x01......
	(DMEM_START): Move to 0x00......
	(STACK_START): Move to 0x00..7ffe.
	(D10V_MAKE_IADDR, D10V_MAKE_DADDR): Translate unconditionally.

	* d10v-tdep.c (d10v_xlate_addr): Delete function.

Mon Feb  9 15:10:21 1998  Fred Fish  <fnf@cygnus.com>

	* symtab.c (fixup_psymbol_section): Move forward declaration to
	top of file with other such decls.  Make it a static function.
	* symtab.h: Minor formatting tweaks.

Mon Feb  9 13:14:12 1998  Stan Shebs  <shebs@andros.cygnus.com>

	* config/a29k-udi.mt, config/i960/vxworks960.mt (REMOTE_OBS):
 	Remove redefinition.
	* config/i960/tm-i960.h (BREAKPOINT): Define.

Mon Feb  9 15:35:38 1998  Ian Lance Taylor  <ian@cygnus.com>

	* Makefile.in (init.c): Ignore errors when making init.c.  Seems
	necessary to work around bug in Solaris make.

Sun Feb  6 02:44:28 1997  Philippe De Muyter  <phdm@macqel.be>

        * m68k/tm-delta68.h (CPLUS_MARKER): Macro deleted.
        (EXTRACT_STRUCT_VALUE_ADDRESS): Macro defined.
        (EXTRACT_RETURN_VALUE, STORE_RETURN_VALUE): Macros modified
        because floating-point values return via %fp0.
        (CLEAR_INSN_CACHE): New macro.
        * m68k/tm-m68k.h (REGISTER_CONVERT_TO_VIRTUAL): Macro fixed
        to use DOUBLEST.
        (REGISTER_CONVERT_TO_RAW): Ditto.
        * infptrace.c (child_xfer_memory): If CLEAR_INSN_CACHE is defined,
        call it after having written in child process's memory.
        * inflow.c (PROCESS_GROUP_TYPE): Macro defined if HAVE_TERMIO.
        (gdb_has_a_terminal, terminal_ours_1): Functions fixed for HAVE_TERMIO.

Fri Feb  6 16:17:30 1998  Jeffrey A Law  (law@cygnus.com)

        * config/mips/tm-mips64.h (TARGET_LONG_BIT): Allow final target to
        override.
        (TARGET_LONG_LONG_BIT): Likewise.
        (TARGET_PTR_BIT): Likewise.

Fri Feb  6 17:42:22 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* config/d10v/tm-d10v.h (D10V_CONVERT_IADDR_TO_RAW,
 	D10V_CONVERT_DADDR_TO_RAW): Define.

	* d10v-tdep.c (d10v_push_arguments): Re-write.  Pass arguments in
 	registers, regardless of their size, when they fit.

Thu Feb  5 13:16:36 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* d10v-tdep.c (d10v_extract_return_value): For function pointers
	translate address to IMAP area.

	* config/d10v/tm-d10v.h (EXTRA_FRAME_INFO): Delete dummy from
 	struct.
	(POP_FRAME): Point at generic_pop_current_frame.
	
	* d10v-tdep.c (d10v_pop_frame): Delete code handling dummy frames,
 	handled earlier.
	(d10v_push_return_address): New function.
	(d10v_pop_dummy_frame): Delete.
	(d10v_fix_call_dummy): Delete.
	(d10v_call_dummy_address): Delete.

	* d10v-tdep.c (d10v_init_extra_frame_info): Clear dummy and
 	frameless.

	* d10v-tdep.c (d10v_push_arguments): Keep stack word aligned.

	* config/d10v/tm-d10v.h (EXTRACT_STRUCT_VALUE_ADDRESS): Extract
 	address of structure from first ARG1_REGNUM.

	* d10v-tdep.c (d10v_push_arguments): Force 4 byte args into
 	even-odd register pair.  Store 1 and 2 byte args in registers.

	* valops.c (value_fetch_lazy): Ensure that a D10V function pointer
 	is fetched in the correct byte order.
	(value_at): Ditto. Also ensure data pointers are mapped to data
 	segment.

	* config/d10v/tm-d10v.h (D10V_DADDR_P, D10V_IADDR_P): 

	* d10v-tdep.c: Replace 2 with REGISTER_RAW_SIZE.
	(d10v_pop_frame): Replace R13 with LR_REGNUM.
	(d10v_push_arguments): Replace R2 with ARG1_REGNUM.
	(d10v_push_arguments): Replace 6 with ARGN_REGNUM.
	(d10v_extract_return_value): Access return value with RET1_REGNUM.

	* config/d10v/tm-d10v.h (ARG1_REGNUM, ARGN_REGNUM, RET1_REGNUM):
 	Define.
	(STORE_RETURN_VALUE): Specify return register using RET1_REGNUM.
	(STORE_STRUCT_RETURN): Specify ARG1_REGNUM as the struct ptr
 	location.
	
Thu Feb  5 13:16:36 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* blockframe.c (generic_pop_dummy_frame): Flush the frame, no
 	longer valid.

	* blockframe.c (generic_pop_current_frame), frames.h: New
 	function.

Thu Feb  5 17:18:16 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* remote-sim.c (gdbsim_create_inferior): clear_proceed_status
 	before /re/starting the simulator.

Thu Feb  5 15:55:31 1998  C. M. Heard (heard@vvnet.com)

        * top.c (do_nothing): Remove signal handler after signal is caught.

Thu Feb  5 11:57:06 1998  Michael Snyder  (msnyder@cleaver.cygnus.com)

	* tracepoint.c (tracepoint_operation): call free_actions instead
	of free.  (free_actions): eliminate some memory leaks for actions.
	(validate_actionline): pass string arg by reference, so we can 
	change the pointer.  Change all memrange collection arguments to
	canonical form (literal address and size), to enforce early
	evaluation.  Accept UNOP_MEMVAL (assembly variables) for 
	trace collection.  (parse_and_eval_memrange): accept expressions
	for the address and size fields of a memrange (and evaluate
	them immediately).  (several places): use -1 instead of zero
	to distinguish an absolute memrange from a register-relative one.
	(encode_actions): add handling for UNOP_MEMVAL (assembly variable).

Wed Feb  4 17:40:21 1998  Jason Molenda  (crash@bugshack.cygnus.com)

        * Makefile.in (SFILES): add tracepoint.c.
        (LINTFILES): add @CONFIG_SRCS@.
        (SOURCES): Ditto.
        * configure.in (CONFIG_SRCS): Mirror use of CONFIG_OBS.
        * configure: Regenerated.

Tue Feb  3 16:12:32 1998  Gordon W. Ross (gwr@mc.com)

	* infptrace.c (child_resume): Don't try to step if 
	NO_SINGLE_STEP is defined.

Mon Feb  2 19:06:13 1998  Jason Molenda  (crash@bugshack.cygnus.com)

	* Makefile.in (VERSION): Bump to 4.16.2.

Mon Feb  2 17:18:25 1998  Richard Henderson  <rth@cygnus.com>

        * alpha-nat.c (fetch_aout_core_registers): Rename from
        fetch_core_registers.
        (fetch_elf_core_registers): New function.
        (supply_gregset): Use ALPHA_REGSET_BASE.
        (supply_fpregset): Likewise.
        (fill_fpregset): Likewise.
        (alpha_aout_core_fns): Rename from alpha_core_fns.
        (alpha_elf_core_fns): New.
        * config/alpha/alpha-linux.mh (NATDEPFILES): solib.o not osfsolib.o.
        Disable MMALLOC.
        * config/alpha/nm-linux.h (SVR4_SHARED_LIBS): Define if ELF.
	(TARGET_ELF64): Likewise.
        (ALPHA_REGSET_BASE): New.
        * config/alpha/nm-osf.h (ALPHA_REGSET_BASE): New.
        * config/alpha/tm-alphalinux.h: Include tm-sysv4.h.

        * solib.c (elf_locate_base): Add TARGET_ELF64 support.
        (info_sharedlibary_command): Likewise.

        * configure.host: Match alpha*.
        * configure.tgt: Likewise.

Fri Jan 30 15:11:38 1998  David Taylor  <taylor@texas.cygnus.com>

	Changes by <Peter.Schauer@Regent.E-Technik.TU-Muenchen.DE>
	* infrun.c (IN_SOLIB_DYNSYM_RESOLVE_CODE): new macro for detecting
 	whether we are in the dynamic symbol resolution code 
	(wait_for_inferior): invoke it.
	* solib.c (in_svr4_dynsym_resolve_code): new function
	(enable_break): record start and end of the dynamic linker
	text and plt sections for use in in_svr4_dynsym_resolve_code.
	* solib.h (IN_SOLIB_DYNSYM_RESOLVE_CODE): add svr4 definition;
	(in_svr4_dynsym_resolve_code): declare it.
	* config/nm-gnu.h (solib.h): move inclusion to after definition
	of SVR4_SHARED_LIBS.
	* config/nm-sysv4.h (solib.h): ditto.
	* config/i386/nm-i386sco5.h (solib.h): ditto.
	* config/i386/nm-linux.h (solib.h): ditto.
	* config/mips/nm-irix5.h (IN_SOLIB_DYNSYM_RESOLVE_CODE): undefine.

Thu Jan 29 19:39:31 1998  Stan Shebs  <shebs@andros.cygnus.com>

	* coffread.c (coff_symtab_read) [SEM]: Remove code, macro can
	never be defined.
	* dbxread.c (process_one_symbol) [BLOCK_ADDRESS_ABSOLUTE]:
	Remove, no longer needed.
	* hppa-tdep.c (N_SET_MAGIC): Remove, no longer used.
	* config/pa/xm-hppab.h (SEEK_SET, SEEK_CUR, SEEK_END): Ditto.
	* config/mips/tm-mipsm3.h (NUMERIC_REG_NAMES): Ditto.
	* config/mips/mipsm3.mt (TDEPFILES): Remove mipsread.o.

Wed Jan 28 14:46:52 1998  Stan Shebs  <shebs@andros.cygnus.com>

	Suggested by Chris Walter <walter@budoe.bu.edu>:
	* dwarfread.c (set_cu_language): Recognize Fortran.
	* dwarf2read.c (set_cu_language): Ditto.
	(read_array_type): Fix language test.

Wed Jan 28 12:51:08 1998  Michael Snyder  (msnyder@cleaver.cygnus.com)
 
        * blockframe.c (generic_frame_chain_valid): A frame pointer may
        be valid if it is equal to the frame pointer of its caller (ie.
        not necessarily strictly INNER_THAN).  Allows frameless functions.
 
Wed Jan 28 11:23:25 1998  Mark Alexander  <marka@cygnus.com>

	* monitor.c (monitor_vsprintf): New function to handle
	printing of large addresses using %A format specifier.
	(monitor_printf_noecho, monitor_printf): Use monitor_vsprintf
	instead of vsprintf.
	* dve3900-rom.c (_initialize_r3900_rom): Use %A instead of %Lx
	to print addresses.

Tue Jan 27 16:14:23 1998  Jason Molenda  (crash@bugshack.cygnus.com)

	* configure.in (CONFIG_LDFLAGS): Only add -export-dynamic
	when using GNU ld.

Mon Jan 26 19:07:46 1998  Jason Molenda  (crash@bugshack.cygnus.com)

	* config/alpha/tm-alphalinux.h (alpha_linux_sigtramp_offset):
	Add closing parenthesis.  From HJ Lu.

Mon Jan 26 17:54:45 1998  Mark Alexander  <marka@cygnus.com>

	* dve3900-rom.c: Improve performance by using memory commands
	that print less fluff.  Minor cosmetic changes.
	Eliminate compiler warnings.

Sat Jan 24 23:44:43 1998  Martin M. Hunt  <hunt@cygnus.com>

	* breakpoint.c (enable_breakpoint): Preserve breakpoint
	disposition when enabling a breakpoint.

	* symtab.c (find_pc_sect_line): If no symbol information
	is found, return correct pc anyway.

Fri Jan 23 17:26:22 1998  Stan Shebs  <shebs@andros.cygnus.com>

	* configure.host (i[3456]86-*-osf1mk*, mips-*-mach3*,
	ns32k-*-mach3*): Fix file names.
	(i[3456]86-*-os9k, m88*-*-mach3*, w65-*-*): Remove config
	recognition, no source files for these.
	* configure.tgt (powerpc-*-aix4*): Remove config, now identical
	to powerpc-*-aix*.
	* config/powerpc/{aix4.mh,aix4.mt,tm-ppc-aix4.h}: Remove files,
	no longer needed.

Fri Jan 23 16:49:41 1998  Mark Alexander  <marka@cygnus.com>

	* monitor.c (monitor_write, monitor_readchar): New functions.
	* monitor.h (monitor_write, monitor_readchar): Declare.
	* dve3900-rom.c: Add support for fast loading on ethernet connections.

Fri Jan 23 07:47:06 1998  Fred Fish  <fnf@cygnus.com>

	* config/d10v/tm-d10v.h (CALL_DUMMY): Define as "{ 0 }".
	(TARGET_READ_FP): Define to d10v_read_fp rather than d10v_read_sp.
	(TARGET_WRITE_FP): Define to d10v_write_fp rather than d10v_write_sp.
	(d10v_write_fp, d10v_read_fp): Add prototypes.
	* symtab.c (decode_line_1): Remove assignment of sals[0].pc field.
	* symfile.c (simple_overlay_update, simple_overlay_update_1):
	Ignore the size of overlay sections.  This check is redundant anyway.
	* printcmd.c (print_frame_args): Ditto.
	* valops.c (value_fetch_lazy): Ditto.
	* values.c (unpack_long): Ditto.
	* d10v-tdep.c (d10v_frame_chain, d10v_frame_find_saved_regs,
	d10v_init_extra_frame_info): Fix some minor bugs so the finish command
 	works properly.
	(show_regs): Change num1 and num2 types from "long long" to "LONGEST".
	(d10v_read_fp, d10v_write_fp): New functions.
	(d10v_push_arguments): Remove unneeded assigns to "val" and "contents".
	(d10v_push_arguments): Fix for pointers and structs.
	(d10v_extract_return_value): Fix for pointers and chars.

Tue Jan 20 18:53:18 1998  Stan Shebs  <shebs@andros.cygnus.com>

	* configure.tgt (i386-*-mach*, m88*-*-mach3*): Remove config
	recognition, no source files for these (note that the i386 Mach
	config is for pre-Mach 3).
	(mips*-*-mach3*, ns32k-*-mach3*): Fix file names.
	* config/mips/mipsel64.mt: Remove, never referenced.

Mon Jan 19 14:01:28 1998  Stan Shebs  <shebs@andros.cygnus.com>

	* top.c (print_gdb_version): Restore to original message.

Mon Jan 19 13:34:40 1998  Ian Lance Taylor  <ian@cygnus.com>

	From cgf@bbc.com (Chris Faylor):
	* win32-nat.c (child_mourn_inferior): Call ContinueDebugEvent to
	let the child exit.
	(child_kill_inferior): Respond to all debug events as the child is
	terminating.

	* Makefile.in (all): Change gdb dependency to gdb$(EXEEXT).
	(uninstall): Add $(EXEEXT) to file name to remove.
	(gdb$(EXEEXT)): Rename target from plain gdb.
	(gdb1$(EXEEXT)): Rename target from plain gdb1.
	(clean, mostlyclean): Add $(EXEEXT) to binary names to remove.

1998-01-16  Felix Lee  <flee@cygnus.com>

	* top.c (print_gdb_version): delete stutter.

Thu Jan 15 12:29:13 1998  Nick Clifton  <nickc@cygnus.com>

	* remote-rdi.c (arm_rdi_open): Patch from Tony.Thompson@arm.com
	to prevent spurous error messages on non-ICE targets.

Wed Jan 14 19:27:02 1998  Stan Shebs  <shebs@andros.cygnus.com>

	* config/mips/{r3900.mt,r3900l.mt,tm-r3900.h,tm-r3900l.h}:
	Remove, no longer used.

Tue Jan 13 16:38:48 1998  Fred Fish  <fnf@cygnus.com>

	* configure.in (--with-mmalloc): Add new configure arg to use the
	mmalloc package.  Default is to not use it.
	(START_INFERIOR_TRAPS_EXPECTED): Define to the integer 2, not
	the string "2".
	* acconfig.h (USE_MMALLOC, FORCE_MMCHECK): Add #undef.
	* configure: Regenerated.
	* config.in: Regenerated.
	* Makefile.in (MMALLOC_DIR, MMALLOC_SRC): Remove.
	(MMALLOC): Set using configure.
	(MMALLOC_CFLAGS): Set using configure.

	* config/i386/tm-linux.h (sys_quotactl): Define to 1 rather
	than just defining it.
	* mpw-make.sed: Undefine USE_MMALLOC rather than defining NO_MMALLOC.
	* utils.c (NO_MMALLOC): Use USE_MMALLOC instead.
	* objfiles.c: ditto.
	* defs.h: ditto.

	* config/sparc/sun4os4.mh (MMALLOC_CFLAGS): Remove.
	* config/m68k/sun3os4.mh (MMALLOC_CFLAGS): Remove.
	* config/i386/cygwin32.mh (MMALLOC_CFLAGS): Remove.
	* config/alpha/alpha-osf3.mh (MMALLOC_CFLAGS): Remove.
	* config/alpha/alpha-osf2.mh (MMALLOC_CFLAGS): Remove.
	* gdbserver/Makefile.in (MMALLOC_*): Remove.
	* config/rs6000/rs6000.mh (MMALLOC, MMALLOC_CFLAGS): Remove.
	* config/rs6000/aix4.mh (MMALLOC, MMALLOC_CFLAGS): Remove.
	* config/powerpc/aix4.mh (MMALLOC, MMALLOC_CFLAGS): Remove.
	* config/powerpc/aix.mh (MMALLOC, MMALLOC_CFLAGS): Remove.
	* config/ns32k/ns32km3.mh (MMALLOC, MMALLOC_CFLAGS): Remove.
	* config/mips/mipsm3.mh (MMALLOC, MMALLOC_CFLAGS): Remove.
	* config/mips/decstation.mh (MMALLOC, MMALLOC_CFLAGS): Remove.
	* config/m88k/cxux.mh (MMALLOC, MMALLOC_CFLAGS): Remove.
	* config/i386/xm-windows.h (NO_MMALLOC, NO_MMCHECK): Remove.
	* config/i386/i386mk.mh (MMALLOC, MMALLOC_CFLAGS): Remove.
	* config/i386/i386m3.mh (MMALLOC, MMALLOC_CFLAGS): Remove.
	* config/i386/i386gnu.mh (MMALLOC, MMALLOC_CFLAGS): Remove.
	* config/alpha/alpha-osf1.mh (MMALLOC, MMALLOC_CFLAGS): Remove.
	* config/alpha/alpha-linux.mh (MMALLOC, MMALLOC_CFLAGS): Remove.

Mon Jan 12 11:46:51 1998  Michael Snyder  (msnyder@cleaver.cygnus.com)

	* config/m68k/tm-m68k.h (REGISTER_VIRTUAL_TYPE): make A0 thru A7
	default to void pointer type (so that their default radix is hex).

	* symtab.c: move rbreak_command from no_class to class_breakpoint
	so it will be listed under "help breakpoints".

Sat Jan 10 14:58:04 1998  Stan Shebs  <shebs@andros.cygnus.com>

	* rdi-share/hostchan.c: Remove gettimeofday declaration.

Thu Jan  8 11:03:59 1998  Nick Clifton  <nickc@cygnus.com>

	* remote-rdp.c: Applied patches submitted by Tony.Thompson@arm.com
 	to implement the Angel remote debugging interface.

	* Makefile.in: Add build rules for remote-rdi.c and
	rdi-share/libangsd.a.
	
	* configure.tgt: Updated from source on branch.
	* config/arm/tm-arm.h: Updated from source on branch.
	* arm-tdep.c: Updated from source on branch.

	* rdi-share: New directory, RDI library contributed by ARM.

Mon Jan  5 20:21:59 1998  Mark Alexander  <marka@cygnus.com>

	* monitor.h (MO_PRINT_PROGRAM_OUTPUT): Define.
	* monitor.c (monitor_wait): Echo program output.
	* dve3900-rom.c (_initialize_r3900_rom): Remove MO_HANDLE_NL flag,
	add MO_PRINT_PROGRAM_OUTPUT flag.

Mon Jan  5 18:21:11 1998  David Taylor  <taylor@texas.cygnus.com>

	* top.h (HAVE_SIGSETJMP): define SIGJMP_BUF, SIGSETJMP, and
	SIGLONGJMP appropriately based on whether HAVE_SIGSETJMP is
	defined.
	* top.c (return_to_top_level, catch_errors): use the new macros
	* main.c (SET_TOP_LEVEL): ditto.
	* config/xm-sysv4.h (HAVE_SIGSETJMP): Define.

Fri Jan  2 18:48:58 1998  Mark Alexander  <marka@cygnus.com>

	* configure.in: Double up brackets in shell case pattern.

Fri Jan  2 17:06:05 1998  Michael Snyder  (msnyder@cleaver.cygnus.com)

        * tracepoint.c (finish_tfind_command): improved algorithm for
        deciding when we've "stepped" into a new stack frame.
        (map_args_over_tracepoints): loop over tracepoint list "safely", 
	since list elements may be deleted during loop.
	(read_actions): add actions to history list.

For older changes see ChangeLog-97

Local Variables:
mode: indented-text
left-margin: 8
fill-column: 74
version-control: never
End:
